local blz = {"ActionButton", "MultiBarBottomLeftButton", "MultiBarBottomRightButton", "MultiBarRightButton", "MultiBarLeftButton"}
local function getbtn(p,b)
	return blz[p]..b
end
function ToolsRangeColor_OptionInit()
	local txtopt = {
		{"단축키", "hotkey", {1,1,1}},
		{"매크로이름", "name", {0,1,1}},
		{"갯수", "count", {1,1,0}}
	}
	local v = {}
	v.Header = {	text = "버튼색상",
			tooltip = "거리에 따른 버튼 색상변경기능 설정",
		}
	v.option = {
		{	type = "CheckButton",
			text = "거리에 따른 버튼색상변화",
			get = function() return ToolsRCDB.rc end,
			set = function(v) ToolsRCDB.rc = v end,
			tooltip = "체크시 거리에 따른 색상변화를 사용합니다"
		},
		{	type = "RadioButton",
			text = "마우스 휠 단축키 표시방법",
			get = function() return ToolsRCDB.arrow end,
			set = function(v)
				ToolsRCDB.arrow = v
				for i = 1, #blz do
					for j = 1, 12 do
						this = getglobal(getbtn(i,j))
						ActionButton_UpdateHotkeys(this.buttonType)
					end
				end
				if IsAddOnLoaded("ToolsCenterBar") then
					for i = 1, 12 do
						this = getglobal("ToolsCenterButton"..i)
						ActionButton_UpdateHotkeys(this.buttonType)
					end
				end
			end,
			values = {"화살표로 표시", "문자열로 표시"},
			tooltips = {"▲/▼ 으로 표시합니다", "Wu/Wd 로 표시합니다"}
		},
	}
	for i = 1, 3 do
		tinsert(v.option, {
			type = "ColorPicker",
			text = txtopt[i][1].."색상설정",
			default = txtopt[i][3],
			get = function() return ToolsRCDB[txtopt[i][2]] end,
			set = function(c)
				ToolsRCDB[txtopt[i][2]] ={c.r,c.g,c.b}
				for i = 1, #blz do
					for j = 1, 12 do
						local t = getbtn(i,j)
						ToolsRC_ChangeColor("Name", t)
						ToolsRC_ChangeColor("Count", t)
						ToolsRC_ChangeColor("HotKey", t)
					end
				end
				if IsAddOnLoaded("ToolsCenterBar") then
					for i = 1, 12 do
						ToolsRC_ChangeColor("Name", "ToolsCenterButton"..i)
						ToolsRC_ChangeColor("Count", "ToolsCenterButton"..i)
						ToolsRC_ChangeColor("HotKey", "ToolsCenterButton"..i)
					end
				end
			end,
			tooltip = txtopt[i][1].."의 색상을 설정합니다"
		})
		tinsert(v.option, {	type = "Slider",
			text = txtopt[i][1].."글씨크기",
			get = function() return ToolsRCDB.size[txtopt[i][2]] end,
			set = function(v)
				ToolsRCDB.size[txtopt[i][2]] = v
				for i = 1, #blz do
					for j = 1, 12 do
						ToolsRCChangeFont(getglobal(getbtn(i,j)))
					end
				end
				if IsAddOnLoaded("ToolsCenterBar") then
					for i = 1, 12 do
						ToolsRCChangeFont(getglobal("ToolsCenterButton"..i))
					end
				end
			end,
			minmax = {10,16},
			step = 1,
			tooltip = txtopt[i][1].."글씨의 크기를 설정합니다",
		})
		tinsert(v.option, {	type = "CheckButton",
			text = txtopt[i][1].." 아웃라인",
			get = function() return ToolsRCDB.outline[txtopt[i][2]] end,
			set = function(v)
				ToolsRCDB.outline[txtopt[i][2]] = v
				for i = 1, #blz do
					for j = 1, 12 do
						ToolsRCChangeFont(getglobal(getbtn(i,j)))
					end
				end
				if IsAddOnLoaded("ToolsCenterBar") then
					for i = 1, 12 do
						ToolsRCChangeFont(getglobal("ToolsCenterButton"..i))
					end
				end
			end,
			tooltip = txtopt[i][1].."글씨의 아웃라인을 표시합니다",
		})
	end
	ToolsOptionCore:RegesterOption(v)
end
ToolsOptionCore:Insert("ToolsRangeColor")